! bartok.cmd
echo Create a scale based on Bartók's axial system
clear 0
echo enter the mediant
append ?
echo enter the dominant
append ?
calculate/noout 2-%2
append $0
calculate/noout 2+%1-%2
delete 1
copy 0 1
equaltemp 1 $0 3
product 1
clear 1
reduce 2/1
sort
append 2/1
show scale
